[ARVADOS] updated: 4bd414c0d951a5efc0927ef467f193b3e406a927

Git user git at public.curoverse.com
Fri Mar 4 11:19:17 EST 2016


Summary of changes:
 sdk/cwl/test_with_arvbox.sh | 10 +++++++---
 1 file changed, 7 insertions(+), 3 deletions(-)

       via  4bd414c0d951a5efc0927ef467f193b3e406a927 (commit)
      from  be8fb7271e3a416818cab04498e5b1ebe877b4fe (commit)

Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.


commit 4bd414c0d951a5efc0927ef467f193b3e406a927
Author: Peter Amstutz <peter.amstutz at curoverse.com>
Date:   Fri Mar 4 11:19:14 2016 -0500

    Bugfix for CWL conformance test script, refs #8558

diff --git a/sdk/cwl/test_with_arvbox.sh b/sdk/cwl/test_with_arvbox.sh
index 83ba66b..0fda2b8 100755
--- a/sdk/cwl/test_with_arvbox.sh
+++ b/sdk/cwl/test_with_arvbox.sh
@@ -8,15 +8,17 @@ reset_container=1
 leave_running=0
 
 while test -n "$1" ; do
-    arg="$1"; shift
+    arg="$1"
     case "$arg" in
         --no-reset-container)
             reset_container=0
+            shift;
             ;;
         --leave-running)
             leave_running=1
+            shift;
             ;;
-        *)
+        -*)
             break
             ;;
     esac
@@ -34,7 +36,9 @@ fi
 arvbox start dev
 
 arvbox pipe <<EOF
-set -e
+set -eu -o pipefail
+
+. /usr/local/lib/arvbox/common.sh
 
 cd /usr/src/arvados/sdk/cwl
 python setup.py sdist

-----------------------------------------------------------------------


hooks/post-receive
-- 




More information about the arvados-commits mailing list